<?php
/* $Id: og_node_approval.views.inc,v 1.1.4.1 2009/01/23 15:25:36 mradcliffe Exp $ */

 /**
  * hook_views_data -- define our views
  */
 function og_node_approval_views_data()
 {
	$atype = variable_get('approval_type',2);

	$data['og_node_approval']['table']['group'] = t('Node');

	$data['og_node_approval']['table']['join'] = array(
		'node' => array(
			'left_field' => 'nid',
			'field' => 'nid',
		),
	);

	$data['og_node_approval']['status'] = array(
		'title' => t('Node Approval: User Status'),
		'help' => t('The integer value for a particular user approval of this node.'),
		'field' => array(
			'handler' => 'views_handler_field_numeric',
			'click sortable' => TRUE,
		),
		'sort' => array(
			'handler' => 'views_handler_sort',
		),
		'filter' => array(
			'handler' => 'views_handler_filter_numeric',
		),
	);


	$data['og_node_approval']['uid'] = array(
		'title' => t('Node Approval: User Id'),
		'help' => t('The user id associated with the node approval and node'),
		'field' => array(
			'handler' => 'views_handler_field',
			'click sortable' => TRUE,
		),
		'relationship' => array(
			'handler' => 'views_handler_relationship',
			'base' => 'users',
			'relationship field' => 'uid',
			'label' => t('Node Approval: Users'),
		),
	);

	return $data;

 } // function og_node_approval_views_data

